Bug 1274391 - [RFE] add filtering capability to container images in content views
[RFE] add filtering capability to container images in content views
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Container Management - Content (Show other bugs)
Unspecified
Unspecified Unspecified
unspecified Severity medium (vote)
: GA
: --
Assigned To: Tom McKay
Peter Ondrejka
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-22 11:54 EDT by Dirk Herrmann
Modified: 2018-02-21 11:54 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 11:54:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 17293 None None None 2017-01-26 08:34 EST

  None (edit)
Description Dirk Herrmann 2015-10-22 11:54:13 EDT
Description of problem:

Satellite users can use filters to customize content that only particular versions are made available to hosts. While for Puppet modules we only allow to have one particular version inside a CV we can use filters for RPM repositories to limit the availability of particular versions of the same RPM. For containers there are currently no filters at all. While publishing a content view all image layers and versions which are inside a repository at this point of time become part of this content view.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:

Currently while adding repositories containing container images you can not add filter rules based on image IDs, tags or errata.


Expected results:

While adding repositories containing container images you should be able to add filter rules based on image IDs, tags or errata.

Additional info:
Comment 2 Tom McKay 2017-01-26 08:34:01 EST
Connecting redmine issue http://projects.theforeman.org/issues/17293 from this bug
Comment 3 Walden Raines 2017-08-16 10:47:03 EDT
I don't have ssh access to the machine I attempted to verify this on so I cannot provide a trace but I do get an error when attempting to verify on 6.3.0.

If I try to create a filter there is a 500 returned from the autocomplete call.  The request looks like this:

GET https://[redacted]/katello/api/v2/docker_tags/auto_complete_name?repoids%5B%5D=4&repoids%5B%5D=5&repoids%5B%5D=6&repoids%5B%5D=7&term=enshift3%2Fcontainer-engine

Query strings:

repoids[]:4
repoids[]:5
repoids[]:6
repoids[]:7
term:openshift3/container-engine

Response:

{
	"displayMessage": "ERROR:  missing FROM-clause entry for table \"katello_docker_tags\"\nLINE 1: ...atello_repositories\".\"id\" IN (4, 5, 6, 7)))) AND (katello_do...\n                                                             ^\n",
	"errors": ["ERROR:  missing FROM-clause entry for table \"katello_docker_tags\"\nLINE 1: ...atello_repositories\".\"id\" IN (4, 5, 6, 7)))) AND (katello_do...\n                                                             ^\n"]
}

I am able to create the filter but it doesn't seem to actually filter anything.  I am not sure if this could be due to the name being incorrect since I cannot autocomplete it.

I'm going to reopen this RFE and am requesting additional information from Tom.
Comment 5 pm-sat@redhat.com 2017-10-09 14:29:56 EDT
Upstream bug assigned to tomckay@redhat.com
Comment 6 Tom McKay 2017-11-07 17:46:54 EST
This should go back to ON_QA with the "comment 3" bz fixed in https://bugzilla.redhat.com/show_bug.cgi?id=1506865 (separate issue and unrelated to this original bz and fix)
Comment 9 pm-sat@redhat.com 2017-12-11 10:23:55 EST
Upstream bug assigned to tomckay@redhat.com
Comment 11 Tom McKay 2018-01-04 08:47:13 EST
Moving back to ON_QA since other BZ has been VERIFIED
Comment 12 Peter Ondrejka 2018-01-11 06:06:27 EST
Verified on Sat 6.3 snap 30, docker tag filters can now be applied to content views.
Comment 13 pm-sat@redhat.com 2018-02-21 11:54:37 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.